package it.mice.voila.runtime.entity;

public class ThreeLevelAlertIndicator extends AwesomeIndicatorBean {
	private static final String[] FONT_NAMES = {"fa-bell-o", "fa-bell-o", "fa-bell-o"};
	private static final String[] FONT_COLORS = {"error", "warning", "info"};
	
	public ThreeLevelAlertIndicator(Double value, Double low, Double high, String text) {
		super(
				value.compareTo(low) < 1 ? FONT_NAMES[0] : value.compareTo(high) < 1 ? FONT_NAMES[1] : FONT_NAMES[2], 
				value.compareTo(low) < 1 ? FONT_COLORS[0] : value.compareTo(high) < 1 ? FONT_COLORS[1] : FONT_COLORS[2], 
				text
		);
	}
}
